/*
 * Progetto 7 capitolo 3 del libro Savitch.
 * 
 * Si supponga di dover scrivere un programma che fornisce un servizio 
 * di messaggistica per i propri utenti.
 * Si vuole dare agli utenti la possibilit di filtrare i messaggi sulla
 * base di determinate parole indesiderate.
 * Si supponga di considerare le parole "console", "censore", "magistrato"
 * parole indesiderate.
 * Scrivere un programma che legga una linea di testo dalla tastiera e 
 * verifichi se essa contiene una delle parole indesiderate.
 * Il programma deve essere in grado di stabilire che anche la parola
 * "cEnsore"  indesiderata anche se differisce per una maiuscola.
 * Si estenda il programma in modo che escluda solamente le righe che 
 * contengono le parole indesiderate prese come parole a se stanti e non
 * come parti di altre parole. 
 * La frase "Sto aspettando l'ascensore", per esempio non deve essere filtrata.
 */

import java.util.*;

public class Messaggistica {
	
	public static final String PAROLA1 = "console";
	public static final String PAROLA2 = "censore";
	public static final String PAROLA3 = "magistrato";
	
	public static void main(String[] args){
		
		Scanner tastiera = new Scanner(System.in);
		// alternativa per usare next() invece di nextLine()
		// tastiera.useDelimiter(System.getProperty("line.separator")); 
		
		// acquisizione della frase dall'utente
		System.out.print("Inserisci la frase: ");
		String frase = tastiera.nextLine();
		
		// filtraggio
		frase = frase.toLowerCase(); // oppure uso di equalsIgnoreCase()
		// versione base
		// if(frase.indexOf(PAROLA1) >= 0 || frase.indexOf(PAROLA2) >= 0 || frase.indexOf(PAROLA3) >= 0)
		
		// versione estesa
		if(frase.startsWith(PAROLA1+" ") || frase.endsWith(" "+PAROLA1) || frase.indexOf(" "+PAROLA1+" ") >=0 ||
		   frase.startsWith(PAROLA2+" ") || frase.endsWith(" "+PAROLA2) || frase.indexOf(" "+PAROLA2+" ") >=0 ||
		   frase.startsWith(PAROLA3+" ") || frase.endsWith(" "+PAROLA3) || frase.indexOf(" "+PAROLA3+" ") >=0)
			// segnalazione di parole non desiderate
			System.out.println("La frase introdotta contiene un termine indesiderato");
		else
			System.out.println("La frase e' valida");
		
		// versione estesa alternativa
		// boolean esisteParola1 = frase.startsWith(PAROLA1+" ") || frase.endsWith(" "+PAROLA1) || frase.indexOf(" "+PAROLA1+" ") >=0;
		// boolean esisteParola2 = frase.startsWith(PAROLA2+" ") || frase.endsWith(" "+PAROLA2) || frase.indexOf(" "+PAROLA2+" ") >=0;
		// boolean esisteParola3 = frase.startsWith(PAROLA3+" ") || frase.endsWith(" "+PAROLA3) || frase.indexOf(" "+PAROLA3+" ") >=0;
		// if(esisteParola1 || esisteParola2 || esisteParola3)
			// segnalazione di parole non desiderate
			// System.out.println("La frase introdotta contiene un termine indesiderato");
		// else
			// System.out.println("La frase e' valida");		
	
		tastiera.close();
			
	}

}
